VLCKit

Instance Methods | List of all members
<VLCMediaListDelegate> Protocol Reference

`#import <VLCMediaList.h>`

## Instance Methods
(void) | - mediaList:mediaAdded:atIndex:
(void) | - mediaList:mediaRemovedAtIndex:

## Detailed Description

VLCMediaListDelegate

## Method Documentation

## ◆ mediaList:mediaAdded:atIndex:

- (void) mediaList: |  | (VLCMediaList *) | aMediaList
mediaAdded: |  | (VLCMedia *) | media
atIndex: |  | (NSUInteger) | index
| optional

delegate method triggered when a media was added to the list

Parameters

  aMediaList | the media list
  media | the media object that was added
  index | the index the media object was added at

## ◆ mediaList:mediaRemovedAtIndex:

- (void) mediaList: |  | (VLCMediaList *) | aMediaList
mediaRemovedAtIndex: |  | (NSUInteger) | index
| optional

delegate method triggered when a media was removed from the list

Parameters

  aMediaList | the media list
  index | the index a media item was deleted at

The documentation for this protocol was generated from the following file:

- Headers/Public/VLCMediaList.h